// react
import {StyleSheet} from 'react-native';

// library
import {moderateScale} from 'react-native-size-matters';
import {
  widthPercentageToDP,
  heightPercentageToDP,
} from 'react-native-responsive-screen';

const styles = StyleSheet.create({
  fullscreen: {
    flex: 1,
  },
  container: {
    flexDirection: 'row',
    justifyContent: 'space-evenly',
  },
  backgroundHome: {
    backgroundColor: '#f3f3f3',
  },
  buttonContainer: {
    marginLeft: moderateScale(7),
    paddingTop: moderateScale(15),
  },
  button: {
    flexDirection: 'row',
    marginBottom: moderateScale(10),
  },
  buttonList: {
    borderColor: '#9F9F9F',
  },
  Logo: {
    width: moderateScale(10),
    height: moderateScale(15),
    position: 'absolute',
    alignSelf: 'flex-start',
    top: moderateScale(11),
    left: moderateScale(20),
  },
  filterTitle: {
    // fontSize: moderateScale(14),
    color: '#4a4a4a',
    fontWeight: 'bold',
    letterSpacing: 0.5,
    alignSelf: 'flex-start',
    paddingBottom: moderateScale(10),
    marginTop: moderateScale(2),
    borderBottomWidth: moderateScale(2),
    width: widthPercentageToDP(90),
    borderBottomColor: '#eeeeee',
    backgroundColor: 'white',
  },
  // tipeTitle: {
  //   paddingTop: moderateScale(15),
  //   fontSize: moderateScale(14),
  //   color: '#4a4a4a',
  //   alignSelf: 'flex-start',
  //   letterSpacing: 0.5,
  //   paddingBottom: moderateScale(7),
  // },
  // tipePerjalananStyle: {
  //   flexDirection: 'row',
  // },
  // button1: {
  //   paddingRight: moderateScale(10),
  // },
  // buttonOpenTrip: {
  //   width: widthPercentageToDP(22),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(12),
  //   letterSpacing: 0.5,
  //   // color: '#F24B5B',
  //   // borderColor: 'red',
  //   textAlignVertical: 'center',
  // },
  // buttonPrivate: {
  //   width: widthPercentageToDP(22),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   alignSelf: 'flex-start',
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(12),
  //   letterSpacing: 0.5,
  //   // color: '#929292',
  //   // borderColor: '#999999',
  //   marginLeft: moderateScale(20),
  //   textAlignVertical: 'center',
  // },
  temaTitle: {
    paddingTop: moderateScale(20),
    fontSize: moderateScale(14),
    color: '#4a4a4a',
    alignSelf: 'flex-start',
    letterSpacing: 0.5,
    paddingBottom: moderateScale(17),
  },
  temaPerjalananStyle: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    height: moderateScale(96),
    maxWidth: widthPercentageToDP(96),
    alignContent: 'space-around',
  },
  button2: {
    paddingRight: moderateScale(10),
  },
  buttonPopuler: {
    // width: widthPercentageToDP(22),
    height: heightPercentageToDP(5),
    borderWidth: 1,
    alignSelf: 'flex-start',
    borderRadius: 7,
    textAlign: 'center',
    fontSize: moderateScale(12),
    letterSpacing: 0.5,
    // color: '#929292',
    // borderColor: '#999999',
    textAlignVertical: 'center',
    paddingHorizontal: moderateScale(8),
  },
  // buttonVitamin: {
  //   width: widthPercentageToDP(22),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   alignSelf: 'flex-start',
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(12),
  //   letterSpacing: 0.5,
  //   color: '#929292',
  //   borderColor: '#999999',
  //   marginLeft: moderateScale(13),
  //   textAlignVertical: 'center',
  // },
  // buttonAlam: {
  //   width: widthPercentageToDP(40),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   alignSelf: 'flex-start',
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(12),
  //   letterSpacing: 0.5,
  //   color: '#929292',
  //   borderColor: '#999999',
  //   marginLeft: moderateScale(13),
  //   textAlignVertical: 'center',
  // },
  // buttonNaik: {
  //   width: widthPercentageToDP(50),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   alignSelf: 'flex-start',
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(12),
  //   letterSpacing: 0.5,
  //   color: '#929292',
  //   borderColor: '#999999',
  //   marginTop: moderateScale(15),
  //   textAlignVertical: 'center',
  // },
  budgetTitle: {
    paddingTop: moderateScale(25),
    fontSize: moderateScale(14),
    color: '#4a4a4a',
    alignSelf: 'flex-start',
    letterSpacing: 0.5,
    paddingBottom: moderateScale(5),
  },
  button3: {
    flexDirection: 'row',
    alignSelf: 'flex-start',
    marginBottom: moderateScale(25),
  },
  minim1: {
    fontSize: moderateScale(12),
    color: '#4a4a4a',
    letterSpacing: 0.5,
    marginTop: moderateScale(5),
    // borderBottomWidth: moderateScale(1),
    width: widthPercentageToDP(30),
    borderBottomColor: '#eeeeee',
    backgroundColor: 'white',
  },
  maks1: {
    fontSize: moderateScale(12),
    color: '#4a4a4a',
    letterSpacing: 0.5,
    marginTop: moderateScale(5),
    // borderBottomWidth: moderateScale(2),
    width: widthPercentageToDP(30),
    borderBottomColor: '#eeeeee',
    marginLeft: moderateScale(70),
    backgroundColor: 'white',
  },
  budgetStyle: {
    flexDirection: 'row',
  },
  button4: {
    paddingRight: moderateScale(10),
  },
  buttonNum1: {
    width: widthPercentageToDP(15),
    height: heightPercentageToDP(5),
    borderWidth: 1,
    alignSelf: 'flex-start',
    borderRadius: 7,
    textAlign: 'center',
    fontSize: moderateScale(13),
    letterSpacing: 0.5,
    // color: '#929292',
    // borderColor: '#999999',
    textAlignVertical: 'center',
  },
  // buttonNum2: {
  //   width: widthPercentageToDP(16),
  //   height: heightPercentageToDP(5),
  //   borderWidth: 1,
  //   alignSelf: 'flex-start',
  //   borderRadius: 7,
  //   textAlign: 'center',
  //   fontSize: moderateScale(13),
  //   letterSpacing: 0.5,
  //   color: '#929292',
  //   borderColor: '#999999',
  //   marginLeft: moderateScale(10),
  //   textAlignVertical: 'center',
  // },
  dateContainer: {
    marginTop: moderateScale(20),
    marginBottom: moderateScale(10),
  },
  periodeTitle: {
    // paddingTop: moderateScale(25),
    fontSize: moderateScale(14),
    color: '#4a4a4a',
    // alignSelf: 'flex-start',
    letterSpacing: 0.5,
    // paddingBottom: moderateScale(18),
  },
  clickCalender: {
    backgroundColor: 'white',
    width: widthPercentageToDP(90),
    height: heightPercentageToDP(6),
    // marginLeft: moderateScale(150),
    // borderRadius: 30,
    // borderTopRightRadius: 10,
    // borderTopLeftRadius: 10,
    // borderWidth: 1,
    // color: '#929292',
  },
  // calender: {
  //   borderColor: '#8b8b8b',
  //   paddingTop: moderateScale(12),
  //   paddingLeft: moderateScale(5),
  //   color: '#929292',
  //   borderWidth: 1,
  //   borderRadius: 10,
  //   width: widthPercentageToDP(70),
  //   height: heightPercentageToDP(6),
  //   backgroundColor: 'white',
  // },
  durasiContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  durasiTitle: {
    paddingTop: moderateScale(25),
    fontSize: moderateScale(14),
    color: '#4a4a4a',
    alignSelf: 'flex-start',
    letterSpacing: 0.5,
    paddingBottom: moderateScale(5),
  },
  durasiIcon: {
    paddingTop: moderateScale(25),
    fontSize: moderateScale(14),
    color: '#4a4a4a',
    paddingBottom: moderateScale(5),
    paddingRight: moderateScale(10),
  },
  button5: {
    flexDirection: 'row',
    alignSelf: 'flex-start',
    marginBottom: moderateScale(20),
  },
  minim2: {
    fontSize: moderateScale(12),
    color: '#4a4a4a',
    letterSpacing: 0.5,
    marginTop: moderateScale(8),
    // borderBottomWidth: moderateScale(2),
    width: widthPercentageToDP(30),
    borderBottomColor: '#eeeeee',
    backgroundColor: 'white',
  },
  maks2: {
    fontSize: moderateScale(12),
    color: '#4a4a4a',
    letterSpacing: 0.5,
    marginTop: moderateScale(8),
    // borderBottomWidth: moderateScale(2),
    width: widthPercentageToDP(30),
    borderBottomColor: '#eeeeee',
    marginLeft: moderateScale(70),
    backgroundColor: 'white',
  },
  scroll: {
    marginBottom: moderateScale(210),
  },
  card: {
    marginTop: moderateScale(28),
  },
  cardContainer: {
    backgroundColor: 'white',
    elevation: 1,
    height: heightPercentageToDP(26),
    width: widthPercentageToDP(92),
    marginBottom: moderateScale(20),
    marginHorizontal: moderateScale(10),
    alignItems: 'center',
    justifyContent: 'center',
  },
  card1: {
    justifyContent: 'space-between',
    flexDirection: 'row',
  },
  cardImage: {
    width: moderateScale(120),
    height: moderateScale(184),
    right: moderateScale(22),
    top: moderateScale(2),
  },
  textContainer: {
    width: moderateScale(190),
    right: moderateScale(6),
  },
  trip: {
    fontWeight: 'bold',
    fontSize: moderateScale(14),
    letterSpacing: 0.5,
    marginBottom: moderateScale(12),
    marginTop: moderateScale(17),
    color: '#4a4a4a',
  },
  termss: {
    textAlign: 'justify',
    fontSize: moderateScale(12),
    alignSelf: 'center',
  },
  textContainer2: {
    flexDirection: 'row',
    justifyContent: 'space-between',
  },
  prices: {
    marginTop: moderateScale(22),
    color: '#F24B5B',
    fontWeight: 'bold',
    fontSize: moderateScale(14),
    letterSpacing: 0.5,
  },
  durations: {
    marginTop: moderateScale(22),
    backgroundColor: '#4A4A4A',
    color: 'white',
    fontSize: moderateScale(11),
    alignSelf: 'center',
    paddingVertical: moderateScale(4),
    paddingHorizontal: moderateScale(6),
  },
  textContainer3: {
    flexDirection: 'row',
    marginBottom: moderateScale(17),
  },
  pinLoc: {
    marginTop: moderateScale(24),
  },
  locations: {
    marginTop: moderateScale(20),
    marginLeft: moderateScale(6),
    color: '#b6b6b6',
  },
});

export default styles;
